### Method

# St Button set_toggle_mode

#### Declaration [src]

    void
    st_button_set_toggle_mode (
      StButton* button,
      gboolean toggle
    )

#### Description [src]

Enables or disables toggle mode for the button. In toggle mode, the checked state will be “toggled” when the user clicks the button.

Sets property | `St.Button:toggle-mode`

#### Parameters

`toggle`

  Type: `gboolean`

  `TRUE` or `FALSE`.